<?php

if (!defined("IN_MYBB")) die("Error");



$plugins->add_hook("pre_output_page", "modhideip_moderation");
$plugins->add_hook("modcp_ipsearch_posts_start", "modhideip_modcp");
$plugins->add_hook("modcp_ipsearch_users_start", "modhideip_modcp");

function modhideip_info()
{
	
	return array(
		"name"			=> "Moderator Hidden IP",
		"description"	=> "Plugin pozwala na wybranie użytkowników, których adres IP będzie nieosiągalny przy użyciu Panelu Moderatora.",
		"website"		=> "http://forum.mybboard.pl/member.php?action=profile&uid=3738",
		"author"		=> "fastlone",
		"authorsite"	=> "http://forum.mybboard.pl/member.php?action=profile&uid=3738",
		"version"		=> "1.2",
		"guid" 			=> "fastlone_modhideip",
		"compatibility" => "16*,18*"
	);
}

function modhideip_activate()
{
	global $db;
	$disp = intval($db->fetch_field($db->query("SELECT MAX(disporder) as disp from ".TABLE_PREFIX."settinggroups"), "disp"));
	$group = array(
		"name" => "modhideip",
		"title" => "Moderator Hidden IP",
		"description" => "Ustawienia pluginu.",
		"disporder" => $disp+1,
		"isdefault" => "0"
		);
	$db->insert_query("settinggroups", $group);
	
	$gid = $db->insert_id();
	
	$setting = array(
		"name" => "modhideip_uids",
		"title" => "Użytkownicy, których adres IP bedzie nieosiagalny poprzez Panel Moderatora",
		"description" => "Wpisz ID użytkowników oddzielając je PRZECINKAMI (na przykład: 1,3,53)",
		"optionscode" => "text",
		"value" => "",
		"disporder" => "1",
		"gid" => intval($gid)
		);
	
	$db->insert_query("settings", $setting);
	

}

function modhideip_deactivate()
{
	global $db;
	$query = $db->query("SELECT gid FROM ".TABLE_PREFIX."settinggroups WHERE name='modhideip'");
	$g = $db->fetch_field($query, "gid");
	$db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE gid='".$g."'");

	
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE gid='".$g."'");

}

function modhideip_moderation($page)
{
	global $mybb, $post, $pm, $hostname, $lang, $modoptions;
	if (THIS_SCRIPT == "moderation.php" && ($mybb->input['action'] == "getip" || $mybb->input['action'] == "getpmip") && $mybb->settings['modhideip_uids'])
	{
		$hiddenuids = array();
		foreach (explode(",", $mybb->settings['modhideip_uids']) as $uid)
		{
			if ((int)$uid == 0) continue;
			$hiddenuids[] = (int)$uid;
		}
		$lang->load("calendar");
		if (in_array($post['uid'], $hiddenuids) || in_array($pm['uid'], $hiddenuids))
			$page = str_replace(array($modoptions, $hostname, $post['ipaddress'], $pm['ipaddress']), array("", $lang->birthdayhidden, $lang->birthdayhidden, $lang->birthdayhidden), $page);
		
		return $page;
	}
}

function modhideip_modcp()
{
	global $mybb, $post_ip_sql, $user_ip_sql;
	if ($mybb->settings['modhideip_uids'])
	{
		foreach (explode(",", $mybb->settings['modhideip_uids']) as $uid)
		{
			if ((int)$uid == 0) continue;
			$uids[] = (int)$uid;
		}
		$mybb->settings['modhideip_uids'] = implode(",", $uids);
		if ($mybb->settings['modhideip_uids'])
		{
			if ($mybb->input['search_posts'])
			{
				if ($post_ip_sql)
					$post_ip_sql = "({$post_ip_sql}) AND ";
				$post_ip_sql .= "uid NOT IN ({$mybb->settings['modhideip_uids']})";
			}
			if ($mybb->input['search_users'])
			{
				if ($user_ip_sql)
					$user_ip_sql = "({$user_ip_sql}) AND ";
				$user_ip_sql .= "uid NOT IN ({$mybb->settings['modhideip_uids']})";
			}
		}
	}

}

?>